Subject: Re: [PATCH v2 net] ibmveth: Reduce maximum tx queues to 8

From: Jakub Kicinski <[email-masked]>
Date: Thu, 3 Nov 2022 20:59:45 -0700

On Wed,  2 Nov 2022 13:38:37 -0500 Nick Child wrote:
> Previously, the maximum number of transmit queues allowed was 16. Due to
> resource concerns, limit to 8 queues instead.
> 
> Since the driver is virtualized away from the physical NIC, the purpose
> of multiple queues is purely to allow for parallel calls to the
> hypervisor. Therefore, there is no noticeable effect on performance by
> reducing queue count to 8.

I'm not sure if that's the point Dave was making but we should be
influencing the default, not the MAX. Why limit the MAX?